package domain


type AlibabaWdkSkuCategoryAddCategoryDo struct {
    /*
        类目编码     */
    Code  *string `json:"code,omitempty" `

    /*
        类目名称     */
    Name  *string `json:"name,omitempty" `

    /*
        父类目编码（为空则认为是新增顶级类目）     */
    ParentCode  *string `json:"parent_code,omitempty" `

    /*
        是否是叶子节点（叶子类目则不允许再添加子类目,非叶子类目不允许添加商品，默认false）     */
    Leaf  *bool `json:"leaf,omitempty" `

    /*
        描述     */
    Desc  *string `json:"desc,omitempty" `

    /*
        类目排序值     */
    SortOrder  *int64 `json:"sort_order,omitempty" `

}

func (s *AlibabaWdkSkuCategoryAddCategoryDo) SetCode(v string) *AlibabaWdkSkuCategoryAddCategoryDo {
    s.Code = &v
    return s
}
func (s *AlibabaWdkSkuCategoryAddCategoryDo) SetName(v string) *AlibabaWdkSkuCategoryAddCategoryDo {
    s.Name = &v
    return s
}
func (s *AlibabaWdkSkuCategoryAddCategoryDo) SetParentCode(v string) *AlibabaWdkSkuCategoryAddCategoryDo {
    s.ParentCode = &v
    return s
}
func (s *AlibabaWdkSkuCategoryAddCategoryDo) SetLeaf(v bool) *AlibabaWdkSkuCategoryAddCategoryDo {
    s.Leaf = &v
    return s
}
func (s *AlibabaWdkSkuCategoryAddCategoryDo) SetDesc(v string) *AlibabaWdkSkuCategoryAddCategoryDo {
    s.Desc = &v
    return s
}
func (s *AlibabaWdkSkuCategoryAddCategoryDo) SetSortOrder(v int64) *AlibabaWdkSkuCategoryAddCategoryDo {
    s.SortOrder = &v
    return s
}
